SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | List of all members
SLNet::FileListProgress Class Reference

Callback interface set with FileList::SetCallback() in case you want progress notifications when FileList::AddFilesFromDirectory() is called. More...

`#include <slikenet/FileList.h>`

Inheritance diagram for SLNet::FileListProgress:

## Public Member Functions

| FileListProgress ()
virtual | ~FileListProgress ()
virtual void | OnAddFilesFromDirectoryStarted (FileList *fileList, char *dir)
| First callback called when FileList::AddFilesFromDirectory() starts.
virtual void | OnDirectory (FileList *fileList, char *dir, unsigned int directoriesRemaining)
| Called for each directory, when that directory begins processing.
virtual void | OnFile (FileList *fileList, char *dir, char *fileName, unsigned int fileSize)
| Called for each file, when that file begins processing.
virtual void | OnFilePush (const char *fileName, unsigned int fileLengthBytes, unsigned int offset, unsigned int bytesBeingSent, bool done, SystemAddress targetSystem, unsigned short setId)
| This function is called when we are sending a file to a remote system.
virtual void | OnFilePushesComplete (SystemAddress systemAddress, unsigned short setId)
| This function is called when all files have been read and are being transferred to a remote system.
virtual void | OnSendAborted (SystemAddress systemAddress)
| This function is called when a send to a system was aborted (probably due to disconnection)

## Detailed Description

Callback interface set with FileList::SetCallback() in case you want progress notifications when FileList::AddFilesFromDirectory() is called.

Definition at line 71 of file FileList.h.

## Constructor & Destructor Documentation

SLNet::FileListProgress::FileListProgress | ( |  | ) |

inline

Definition at line 77 of file FileList.h.

virtual SLNet::FileListProgress::~FileListProgress | ( |  | ) |

inlinevirtual

Definition at line 78 of file FileList.h.

## Member Function Documentation

virtual void SLNet::FileListProgress::OnAddFilesFromDirectoryStarted | ( | FileList * | fileList,
|  | char * | dir
| ) |  |

inlinevirtual

First callback called when FileList::AddFilesFromDirectory() starts.

Reimplemented in SLNet::FLP_Printf.

Definition at line 81 of file FileList.h.

virtual void SLNet::FileListProgress::OnDirectory | ( | FileList * | fileList,
|  | char * | dir,
|  | unsigned int | directoriesRemaining
| ) |  |

inlinevirtual

Called for each directory, when that directory begins processing.

Reimplemented in SLNet::FLP_Printf.

Definition at line 87 of file FileList.h.

virtual void SLNet::FileListProgress::OnFile | ( | FileList * | fileList,
|  | char * | dir,
|  | char * | fileName,
|  | unsigned int | fileSize
| ) |  |

inlinevirtual

Called for each file, when that file begins processing.

Definition at line 94 of file FileList.h.

virtual void SLNet::FileListProgress::OnFilePush | ( | const char * | fileName,
|  | unsigned int | fileLengthBytes,
|  | unsigned int | offset,
|  | unsigned int | bytesBeingSent,
|  | bool | done,
|  | SystemAddress | targetSystem,
|  | unsigned short | setId
| ) |  |

inlinevirtual

This function is called when we are sending a file to a remote system.

Parameters

  [in] | fileName | The name of the file being sent
  [in] | fileLengthBytes | How long the file is
  [in] | offset | The offset in bytes into the file that we are sending
  [in] | bytesBeingSent | How many bytes we are sending this push
  [in] | done | If this file is now done with this push
  [in] | targetSystem | Who we are sending to

Definition at line 108 of file FileList.h.

virtual void SLNet::FileListProgress::OnFilePushesComplete | ( | SystemAddress | systemAddress,
|  | unsigned short | setId
| ) |  |

inlinevirtual

This function is called when all files have been read and are being transferred to a remote system.

Reimplemented in SLNet::FLP_Printf.

Definition at line 120 of file FileList.h.

virtual void SLNet::FileListProgress::OnSendAborted | ( | SystemAddress | systemAddress | ) |

inlinevirtual

This function is called when a send to a system was aborted (probably due to disconnection)

Reimplemented in SLNet::FLP_Printf.

Definition at line 127 of file FileList.h.

The documentation for this class was generated from the following file:

- Source/include/slikenet/FileList.h